;==============================================================================
; 初期設定
;==============================================================================

;------------------------------------------------------------------------------
;-| ボタンリマップ（ボタンコンフィグ）|----------------------------------------

;キー配置は作者が緋想天やってるときの設定に近い。
;a 打撃
;b 弱射撃
;c 強射撃
;x 飛翔
;y 未使用		（カード送り(a+b)）
;z 霊撃			（カード発動(b+c)）

[Remap]
;自分向け設定
;x = a      ;×ボタン
;y = z      ;L1ボタン
;z = c      ;L2ボタン
;a = x      ;□ボタン
;b = y      ;△ボタン
;c = b      ;○ボタン
;s = s      ;startボタン

;一般向け設定
x = x      ;Ｘボタン(CVSとかの弱P)
y = y      ;Ｙボタン(CVSとかの中P)
z = z      ;Ｚボタン(CVSとかの強P)
a = a      ;Ａボタン(CVSとかの弱K)
b = b      ;Ｂボタン(CVSとかの中K)
c = c      ;Ｃボタン(CVSとかの強K)
s = s      ;スタートボタン


;------------------------------------------------------------------------------
;-| デフォルト設定 |-----------------------------------------------------------

[Defaults]
Command.Time = 15
Command.buffer.Time = 1






;==============================================================================
; コマンド定義
;==============================================================================
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;-| ゲージ消費技 |-------------------------------------------------------------

;心象世界「little world.」 ※ゲージ消費5
[Command]
Name    = "World"
Command = a+b+c
Time    = 20
buffer.Time = 15

;「七つの大罪」 ※ゲージ消費1〜5
[Command]
Name    = "Seven"
Command = ~D, DB, B, b+c
Time    = 20
buffer.Time = 15


;月符「サイレントセレナ」 ※ゲージ消費4
[Command]
Name    = "SilentSelene"
;Command = ~D, D, c
Command = ~D, DB, B, DB, D, DF, F, c
Time    = 30
buffer.Time = 10


;日符「リトルフレア」 ※ゲージ消費3
[Command]
Name    = "LittleFlare"
Command = ~D, DF, F, B, F, b
Time    = 30
buffer.Time = 10


;罪符「マクスウェルの憂鬱」 ※ゲージ消費3
[Command]
Name    = "Gloom"
Command = b+c
Time    = 25
buffer.Time = 10


;絵本「黒と白のグリモワール」 ※ゲージ消費2	（※魔力開放コマンドも兼用）
[Command]
Name    = "Grimoire"
Command = ~D, DB, B, D, DB, B, a
Time    = 25
buffer.Time = 8


;弾符「インターセプト・トゥーレイド」 ※ゲージ消費1
[Command]
Name    = "InterceptToRaid"
Command = ~F, DF, D, DB, F, c
Time    = 25
buffer.Time = 10


;夜符「デーモンキングクレイドル」※ゲージ消費1or2
;DLクレイドル上位版
[Command]
Name    = "DemonKingCradleB"
Command = ~D, DF, F, D, DF, F, b
Time    = 25
buffer.Time = 8

[Command]
Name    = "DemonKingCradleC"
Command = ~D, DF, F, D, DF, F, c
Time    = 25
buffer.Time = 8


;夜符「デーモンキングクレイドル・失敗」 ※本ばら撒き。ゲージ消費1
[Command]
Name    = "DemonKingCradleF"
Command = ~DB, D, DF, F, b
Time    = 15
buffer.Time = 8

[Command]
Name    = "DemonKingCradleF"
Command = ~DB, D, DF, F, c
Time    = 15
buffer.Time = 8



;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------

;虚飾の抱擁 ※唯一の投げ技。
[Command]
Name    = "Throw"
Command = ~B, D, DB, a
Time    = 20
;buffer.Time = 2


;デーモンリトルクレイドル ※対空。
[Command]
Name    = "CradleB"
Command = ~F, D, DF, b
Time    = 20
;buffer.Time = 2

[Command]
Name    = "CradleC"
Command = ~F, D, DF, c
Time    = 20
;buffer.Time = 2


;デモニアックレイド
[Command]
Name    = "DemoniacRaid_1h"
Command = ~D, DF, F, a
Time    = 20
;buffer.Time = 2

[Command]
Name    = "DemoniacRaid_2h"
Command = ~DB, B, b
;Command = ~D, DF, F, b
Time    = 20
;buffer.Time = 2

[Command]
Name    = "DemoniacRaid_3h"
Command = c
;Command = ~D, DF, F, c
Time    = 20
;buffer.Time = 2


;ウォークビハインド ※相手の背後に回りこむ。隙があるので使いづらい。
[Command]
Name    = "WalkBehindB"
Command = ~D, D, b
Time    = 15
;buffer.Time = 2

[Command]
Name    = "WalkBehindC"
Command = ~D, D, c
Time    = 15
;buffer.Time = 2

;本複数設置
[Command]
Name    = "BookDouble"
Command = ~D, DB, B, b+c
Time    = 20
;buffer.Time = 2

;本合成
[Command]
Name    = "BookMixB"
Command = ~B, D, DB, b
Time    = 20
;buffer.Time = 2

[Command]
Name    = "BookMixC"
Command = ~B, D, DB, c
Time    = 20
;buffer.Time = 2


;本設置
[Command]
Name    = "BookB"
Command = ~D, DB, B, b
Time    = 20
;buffer.Time = 2

[Command]
Name    = "BookC"
Command = ~D, DB, B, c
Time    = 20
;buffer.Time = 2


;回避結界
[Command]
Name    = "Kaihi"
Command = ~x, x
Time    = 15


;------------------------------------------------------------------------------
;-| ジャンプ＆ダッシュ＆バクステ |---------------------------------------------

[Command]
Name    = "hijump"
Command = $D, $U
Time    = 10


[Command]
Name    = "hijump"
Command = /x, $U
Time    = 1



[Command]
Name    = "FF"		;必須コマンド名
Command = F, F
Time    = 10

[Command]
Name    = "BB"		;必須コマンド名
Command = B, B
Time = 10




;------------------------------------------------------------------------------
;-| 受身 |---------------------------------------------------------------------

[Command]
Name    = "recovery" ;必須コマンド名
Command = /$F, a
Time    = 10

[Command]
Name    = "recovery"
Command = /$B, a
Time    = 10

[Command]
Name    = "recovery"
Command = /a, $F
Time    = 10

[Command]
Name    = "recovery"
Command = /a, $B
Time    = 10


[Command]
Name    = "recovery"
Command = /$F, b
Time    = 10

[Command]
Name    = "recovery"
Command = /$B, b
Time    = 10

[Command]
Name    = "recovery"
Command = /b, $F
Time    = 10

[Command]
Name    = "recovery"
Command = /b, $B
Time    = 10


[Command]
Name    = "recovery"
Command = /$F, c
Time    = 10

[Command]
Name    = "recovery"
Command = /$B, c
Time    = 10

[Command]
Name    = "recovery"
Command = /c, $F
Time    = 10

[Command]
Name    = "recovery"
Command = /c, $B
Time    = 10


[Command]
Name    = "recovery"
Command = /$F, x
Time    = 10

[Command]
Name    = "recovery"
Command = /$B, x
Time    = 10

[Command]
Name    = "recovery"
Command = /x, $F
Time    = 10

[Command]
Name    = "recovery"
Command = /x, $B
Time    = 10


;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------

;ここの2つは何に使ってる？
[Command]
Name    = "down_a"
Command = /$D, a
Time    = 1

[Command]
Name    = "down_b"
Command = /$D, b
Time    = 1




;------------------------------------------------------------------------------
;-| 方向キー |-----------------------------------------------------------------

[Command]
Name    = "F"
Command = F
Time    = 1

[Command]
Name    = "B"
Command = B
Time    = 1

[Command]
Name    = "U"
Command = U
Time    = 1

[Command]
Name    = "D"
Command = D
Time    = 1


[Command]
Name = "holdfwd"   ;必須コマンド名
Command = /$F
Time = 1

[Command]
Name = "holdback"  ;必須コマンド名
Command = /$B
Time = 1

[Command]
Name = "holdup"    ;必須コマンド名
Command = /$U
Time = 1

[Command]
Name = "holddown"  ;必須コマンド名
Command = /$D
Time = 1




;------------------------------------------------------------------------------
;-| ボタン単発（通常技etc） |--------------------------------------------------

[Command]
Name    = "a"
Command = a
Time    = 1

[Command]
Name    = "b"
Command = b
Time    = 1

[Command]
Name    = "c"
Command = c
Time    = 1

[Command]
Name    = "x"
Command = x
Time    = 1

[Command]
Name    = "y"
Command = y
Time    = 1

[Command]
Name    = "z"
Command = z
Time    = 1

[Command]
Name    = "start"
Command = s
Time    = 1


[Command]
Name    = "hold_a"
Command = /a
Time    = 1

[Command]
Name    = "hold_b"
Command = /b
Time    = 1

[Command]
Name    = "hold_c"
Command = /c
Time    = 1

[Command]
Name    = "hold_x"
Command = /x
Time    = 1

[Command]
Name    = "hold_y"
Command = /y
Time    = 1

[Command]
Name    = "hold_z"
Command = /z
Time    = 1

[Command]
Name    = "hold_start"
Command = /s
Time    = 1





;==============================================================================
; ステートエントリー
;==============================================================================
[Statedef -1]		;※必須項目。消してはいけない。

;==============================================================================
; ゲージ消費技
;==============================================================================
;------------------------------------------------------------------------------

;心象世界「little world.」
[State -1, World]	;５ゲージ消費
Type       = ChangeState
Value      = 1900
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "World"
TriggerAll = fvar(39) <= -3000 || (Var(49) = [1,9]) || (Var(49) = [11,19])
TriggerAll = power >= 5000
TriggerAll = Var(50)  = 1 || Var(50)  = 2
TriggerAll = Var(51)=2 && Var(52)=2 && Var(53)=2 && Var(54)=2 && Var(55)=2 && Var(56)=2 && Var(57)=2
TriggerAll = StateType != A            ;「空中」ではない時
TriggerAll = Var(40) > 0 && Var(41) > 0
TriggerAll = NumHelper(4900) = 0 && NumHelper(4901) = 0
TriggerAll = NumHelper(4903) = 0
TriggerAll = NumHelper(4995) = 0
Trigger1   = Ctrl


;七つの大罪
[State -1, Seven]	;全ゲージ消費
Type       = ChangeState
Value      = 2800
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "Seven"
TriggerAll = power >= 1000
TriggerAll = Var(40) >= 1000
;TriggerAll = Var(50) != 1
TriggerAll = Var(50)  = 1 || Var(50)  = 2
TriggerAll = Var(51)=2 && Var(52)=2 && Var(53)=2 && Var(54)=2 && Var(55)=2 && Var(56)=2 && Var(57)=2
TriggerAll = StateType = A            ;「空中」時
TriggerAll = Pos Y < -15
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = (StateNo = [1000,1219]) || (StateNo = [1240,1299])	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1420,1699]	;打撃系必殺技
Trigger5   = MoveContact && HitShakeOver 

Trigger6   = NumHelper(4995) > 0
Trigger6   = StateNo = [1700,1999]	;打撃系スペカ
Trigger6   = MoveContact && HitShakeOver 



;月符「サイレントセレナ」
[State -1, SilentSelene]	;ゲージ消費4
Type       = ChangeState
Value      = 2740
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "SilentSelene"
TriggerAll = (Var(49) != [10,19])
TriggerAll = power >= 4000
TriggerAll = StateType != A            ;「空中」ではない時
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 

Trigger7   = NumHelper(4995) > 0
Trigger7   = StateNo = [1700,1719]	;打撃系スペカ
Trigger7   = MoveContact && HitShakeOver 


;月符「サイレントセレナ verβ」
[State -1, SilentSelene2]	;ゲージ消費4
Type       = ChangeState
Value      = 2750
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "SilentSelene"
TriggerAll = (Var(49) = [10,19])
TriggerAll = power >= 4000
TriggerAll = StateType != A            ;「空中」ではない時
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 

Trigger7   = NumHelper(4995) > 0
Trigger7   = StateNo = [1700,1719]	;打撃系スペカ
Trigger7   = MoveContact && HitShakeOver 


;日符「リトルフレア」
[State -1, LittleFlare]	;ゲージ消費3
Type       = ChangeState
Value      = 2720
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "LittleFlare"
TriggerAll = power >= 3000
TriggerAll = StateType = A
TriggerAll = Pos Y < -15
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = (StateNo = [1000,1219]) || (StateNo = [1240,1299])	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1420,1699]	;打撃系必殺技
Trigger5   = MoveContact && HitShakeOver 

Trigger6   = NumHelper(4995) > 0
Trigger6   = StateNo = [1700,1999]	;打撃系スペカ
Trigger6   = MoveContact && HitShakeOver 



;罪符「マクスウェルの憂鬱」
[State -1, Gloom]	;ゲージ消費3
Type       = ChangeState
Value      = 1406
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "Gloom"
TriggerAll = power >= 3000
TriggerAll = StateType != A
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = StateNo = 1405
Trigger1   = Var(10) = 1406
Trigger1   = Time = 6




;黒と白のグリモワール（通常モード専用）
[State -1, Grimoire]	;ゲージ消費2
Type       = ChangeState
Value      = 1740
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "Grimoire"
TriggerAll = power >= 2000
TriggerAll = StateType != A
TriggerAll = (Var(49) != [10,19])
TriggerAll = NumHelper(4900) = 0 && NumHelper(4901) = 0
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 


;魔力開放（アナザーモード専用）
[State -1, Awake]	;ゲージ消費2
Type       = ChangeState
Value      = 1760
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "Grimoire"
TriggerAll = power >= 2000
TriggerAll = StateType != A
TriggerAll = (Var(49) = [10,19])
TriggerAll = NumHelper(4903) = 0
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 


;弾符「インターセプト・トゥーレイド」
[State -1, InterceptToRaid]	;ゲージ消費1
Type       = ChangeState
Value      = 2700
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "InterceptToRaid"
TriggerAll = power >= 1000
TriggerAll = StateType = A
TriggerAll = Pos Y < -15
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = (StateNo = [1000,1219]) || (StateNo = [1240,1299])	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1420,1699]	;打撃系必殺技
Trigger5   = MoveContact && HitShakeOver 


;デーモンキングクレイドル
[State -1, DemonKingCradleB]	;ゲージ消費1
Type       = ChangeState
Value      = 1700
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "DemonKingCradleB"
TriggerAll = power >= 1000
TriggerAll = StateType != A            ;「空中」ではない時
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 


[State -1, DemonKingCradleB]	;ゲージ消費1
Type       = ChangeState
Value      = 1700
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "DemonKingCradleC"
TriggerAll = power < 2000 && power >= 1000
TriggerAll = StateType != A 
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 


[State -1, DemonKingCradleC]	;ゲージ消費2
Type       = ChangeState
Value      = 1710
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "DemonKingCradleC"
TriggerAll = power >= 2000
TriggerAll = StateType != A
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 


;デーモンキングクレイドル失敗
[State -1, DemonKingCradleF]	;ゲージ消費1
Type       = ChangeState
Value      = 1720
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "DemonKingCradleF"
TriggerAll = power >= 1000
TriggerAll = StateType != A
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%5=0
Trigger4   = StateNo = [1000,1299]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1420,1699]	;打撃系必殺技
Trigger6   = Time > IfElse((StateNo = [1460,1499]), IfElse((StateNo = [1460,1479]), 10, 7), 0)
Trigger6   = MoveContact && HitShakeOver 


;==============================================================================
; 必殺技
;==============================================================================

;虚飾の抱擁
[State -1, Throw]
Type       = ChangeState
Value      = 1400
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Var(40) >= 5
TriggerAll = Command = "Throw"
TriggerAll = StateType != A
;Trigger1   = Ctrl
Trigger1   = StateNo = [150,153]
;Trigger1   = (StateNo = 151) || (StateNo = 153) || (StateNo = 155)


;デーモンリトルクレイドル
[State -1, DemonLittleCradle]
Type       = ChangeState
Value      = 1420
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "CradleB"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = 1221
Trigger5   = Time > 8

Trigger6   = NumHelper(4995) > 0
Trigger6   = StateNo = [2400,2699]	;射撃系必殺技
Trigger6   = Var(11)!=0 && Var(11)%5=0
Trigger7   = NumHelper(4995) > 0
Trigger7   = StateNo = [1420,1699]	;打撃系必殺技
Trigger7   = MoveContact && HitShakeOver 


[State -1, DemonLittleCradle]
Type       = ChangeState
Value      = 1440
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "CradleC"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = 1221
Trigger5   = Time > 5

Trigger6   = NumHelper(4995) > 0
Trigger6   = StateNo = [2400,2699]	;射撃系必殺技
Trigger6   = Var(11)!=0 && Var(11)%5=0
Trigger7   = NumHelper(4995) > 0
Trigger7   = StateNo = [1420,1699]	;打撃系必殺技
Trigger7   = MoveContact && HitShakeOver 


;デモニアックレイド
[State -1, DemoniacRaid_3h]
Type       = ChangeState
Value      = 1500
TriggerAll = Var(59) = 0	;※AIフラグ
;TriggerAll = Command = "DemoniacRaid_3h"
;TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
;Trigger1   = Ctrl
Trigger1   = StateNo = 1480		;先行入力
Trigger1   = Var(10) = 1500
Trigger1   = Time > 22

[State -1, DemoniacRaid_2h]
Type       = ChangeState
Value      = 1480
TriggerAll = Var(59) = 0	;※AIフラグ
;TriggerAll = Command = "DemoniacRaid_2h"
;TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
;Trigger1   = Ctrl
Trigger1   = StateNo = 1460		;先行入力
Trigger1   = Var(10) = 1480
Trigger1   = Time > 29

[State -1, DemoniacRaid_1h]
Type       = ChangeState
Value      = 1460
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "DemoniacRaid_1h"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1039]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1080,1119]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 
Trigger5   = StateNo = [1140,1219]	;通常打撃
Trigger5   = MoveContact && HitShakeOver 
Trigger6   = StateNo = [1240,1299]	;通常打撃
Trigger6   = MoveContact && HitShakeOver 
Trigger7   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger7   = MoveContact && HitShakeOver 

Trigger8   = NumHelper(4995) > 0
Trigger8   = StateNo = [2400,2699]	;射撃系必殺技
Trigger8   = Var(11)!=0 && Var(11)%5=0
Trigger9   = NumHelper(4995) > 0
Trigger9   = StateNo = [1420,1699]	;打撃系必殺技
Trigger9   = MoveContact && HitShakeOver 
Trigger9   = StateNo != [1460,1479]


;ウォークビハインド
[State -1, WalkBehindB]
Type       = ChangeState
Value      = 1520
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "WalkBehindB"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
TriggerAll = NumHelper(4900) = 0 && NumHelper(4901) = 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%2=0
Trigger4   = StateNo = [1000,1119]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 

Trigger5   = NumHelper(4995) > 0
Trigger5   = StateNo = [1420,1699]	;打撃系必殺技
Trigger5   = MoveContact && HitShakeOver 


[State -1, WalkBehindC]
Type       = ChangeState
Value      = 1530
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "WalkBehindC"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
TriggerAll = NumHelper(4900) = 0 && NumHelper(4901) = 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%2=0
Trigger4   = StateNo = [1000,1119]	;通常打撃
Trigger4   = MoveContact && HitShakeOver 

Trigger5   = NumHelper(4995) > 0
Trigger5   = StateNo = [1420,1699]	;打撃系必殺技
Trigger5   = MoveContact && HitShakeOver 


;魔導書複数設置（アナザーモード専用）
[State -1, BookDouble]
Type       = ChangeState
Value      = 2460
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "BookDouble"
TriggerAll = (Var(49) = [10,19])
TriggerAll = power >= 500
TriggerAll = Var(40) >= 2000
TriggerAll = Var(46) < 7
TriggerAll = Var(46) < Var(4)
TriggerAll = Var(51)=0 || Var(52)=0 || Var(53)=0 || Var(54)=0 || Var(55)=0 || Var(56)=0 || Var(57)=0 || Var(51)=2 || Var(52)=2 || Var(53)=2 || Var(54)=2 || Var(55)=2 || Var(56)=2 || Var(57)=2
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 

;魔導書合成
[State -1, BookMixB]
Type       = ChangeState
Value      = 2440
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "BookMixB"
;TriggerAll = Var(40) >= 1000
TriggerAll = Var(46) >= 2
TriggerAll = Var(47) != 0
TriggerAll = StateType != A
;TriggerAll = IsHelper(49050)||IsHelper(49051)
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 

[State -1, BookMixC]
Type       = ChangeState
Value      = 2440
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "BookMixC"
;TriggerAll = Var(40) >= 1000
TriggerAll = Var(46) >= 2
TriggerAll = Var(47) != 0
TriggerAll = StateType != A
;TriggerAll = IsHelper(49050)||IsHelper(49051)
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 


;魔導書設置
[State -1, BookB]
Type       = ChangeState
Value      = 2400
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "BookB"
TriggerAll = Var(40) >= 1000
TriggerAll = Var(46) < 7
TriggerAll = Var(46) < Var(4)
TriggerAll = Var(51)=0 || Var(52)=0 || Var(53)=0 || Var(54)=0 || Var(55)=0 || Var(56)=0 || Var(57)=0 || Var(51)=2 || Var(52)=2 || Var(53)=2 || Var(54)=2 || Var(55)=2 || Var(56)=2 || Var(57)=2
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 


[State -1, BookC]
Type       = ChangeState
Value      = 2420
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "BookC"
TriggerAll = Var(40) >= 1000
TriggerAll = Var(46) < 7
TriggerAll = Var(46) < Var(4)
TriggerAll = Var(51)=0 || Var(52)=0 || Var(53)=0 || Var(54)=0 || Var(55)=0 || Var(56)=0 || Var(57)=0 || Var(51)=2 || Var(52)=2 || Var(53)=2 || Var(54)=2 || Var(55)=2 || Var(56)=2 || Var(57)=2
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%5=0
Trigger3   = StateNo = [1000,1299]	;通常打撃
Trigger3   = MoveContact && HitShakeOver 
Trigger4   = StateNo = [1300,1340]	;ダッシュ攻撃
Trigger4   = MoveContact && HitShakeOver 





;==============================================================================
; 移動関連
;==============================================================================
;------------------------------------------------------------------------------

[State -1, HiJump]		;ダッシュ＞ハイジャンプ
Type       = ChangeState
Value      = 55
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = (Command = "holdup") && (Command != "holdback")
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = StateNo = [100,102]


[State -1, HiJump]		;キャンセルハイジャンプ
Type       = ChangeState
Value      = 55
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = (Command = "holdup")
TriggerAll = StateType != A
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = StateNo = [2000,2399]	;射撃系通常技
Trigger1   = Var(11)!=0 && Var(11)%2=0
Trigger2   = StateNo = [2400,2699]	;射撃系必殺技
Trigger2   = Var(11)!=0 && Var(11)%2=0


;------------------------------　ハイジャンプ
[State -1, HiJump]
Type       = ChangeState
Value      = 55
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = (Command = "hijump")
TriggerAll = StateType != A
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl



;------------------------------　ダッシュ
[State -1, Dash]
Type       = ChangeState
Value      = 100
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = StateNo != [110,119]
TriggerAll = StateNo != 100
TriggerAll = StateNo != 105
TriggerAll = Command = "FF" || (Command = "holdfwd" && Command = "x") || (Command = "F" && Command = "hold_x")
TriggerAll = StateType != A
TriggerAll = Command != "a"
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl


[State -1, AirDash]		;空中ダッシュ
Type       = ChangeState
Value      = 103
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = StateNo != [110,119]
TriggerAll = StateNo != 103
TriggerAll = StateNo != 108
TriggerAll = Command = "FF"
TriggerAll = StateType = A
TriggerAll = Command != "a"
TriggerAll = Var(40) > 0 && Var(41) > 0
TriggerAll = Var(45) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%2=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%2=0


[State -1, Backstep]			;キャンセルバックステップ
Type       = ChangeState
Value      = 105
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = StateNo != 100
TriggerAll = StateNo != 105
TriggerAll = (Command = "holdback" && Command = "x") || (Command = "B" && Command = "hold_x")
TriggerAll = StateType != A
TriggerAll = Var(11)!=0 && Var(11)%2=0
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = StateNo = [2400,2699]	;射撃系必殺技


;------------------------------　バックステップ
[State -1, Backstep]
Type       = ChangeState
Value      = 105
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = StateNo != 100
TriggerAll = StateNo != 105
TriggerAll = (Command = "BB") || (Command = "holdback" && Command = "x") || (Command = "B" && Command = "hold_x")
TriggerAll = StateType != A
TriggerAll = Var(40) > 0 && Var(41) > 0
Trigger1   = Ctrl

[State -1, Backdash]	;空中バックダッシュ
Type       = ChangeState
Value      = 108
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = StateNo != 103
TriggerAll = StateNo != 108
TriggerAll = (Command = "BB")
TriggerAll = StateType = A
TriggerAll = Var(40) > 0 && Var(41) > 0
TriggerAll = Var(45) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%2=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%2=0


;------------------------------　飛翔
[State -1, Flight_F]
Type       = ChangeState
Value      = 110
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = (Command="holdfwd" || Command="holdback" || Command="holdup" || Command="holddown") && (Command="hold_x")
TriggerAll = StateType = A
TriggerAll = StateNo != 110
;TriggerAll = !(StateNo = [55,56]) && Pos Y < -20
TriggerAll = Pos Y < -25
TriggerAll = Var(40) > 50 && Var(41) > 0
TriggerAll = Var(45) > 0
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%2=0
Trigger3   = StateNo = [2400,2699]	;射撃系必殺技
Trigger3   = Var(11)!=0 && Var(11)%2=0




;==============================================================================
; 特殊技
;==============================================================================
;------------------------------------------------------------------------------
;霊撃
[State -1, reigeki]
Type       = ChangeState
Value      = 700
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "z"
TriggerAll = StateType != A
TriggerAll = Var(44) > 0
Trigger1   = Ctrl


;回避結界
[State -1, kaihi]
Type       = ChangeState
Value      = 720
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Var(40) > 0 && Var(41) > 0
TriggerAll = Command = "Kaihi"
Trigger1   = (StateNo = 151) || (StateNo = 153) || (StateNo = 155)
;Trigger1   = (StateNo = [150,155])


;==============================================================================
; 通常攻撃技
;==============================================================================
;------------------------------------------------------------------------------

;------------------------------　ダッシュキャンセル
[State -1, dashCancel]
Type       = ChangeState
Value      = 1340
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Var(40) >= 1000
TriggerAll = StateType = A	;ダッシュ中は空中
Trigger1   = StateNo = 101
Trigger1   = Var(10) = 1340		;先行入力
Trigger1   = Time >= 9


;------------------------------　ダッシュＡ打撃
[State -1, dashblowA]
Type       = ChangeState
Value      = 1300
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = StateType = A	;ダッシュ中は空中
Trigger1   = StateNo = 101
Trigger1   = Var(10) = 1300		;先行入力
Trigger1   = Time >= 9


;------------------------------　Ａ打撃・前
[State -1, blowA_fwd]
Type       = ChangeState
Value      = 1100
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "a"
TriggerAll = Command = "holdfwd"
TriggerAll = Command != "holddown"
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = (StateNo = 1000)					;通常打撃（下位）
Trigger2   = MoveContact && HitShakeOver && Time > 5
Trigger3   = (StateNo = 1080)
Trigger3   = MoveContact && HitShakeOver && Time > 6
Trigger4   = (StateNo = 1020)
Trigger4   = MoveContact && HitShakeOver && Time > 15



;------------------------------　Ａ打撃
[State -1, blowA3]
Type       = ChangeState
Value      = 1040
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command != "holddown"
TriggerAll = StateType != A
Trigger1   = StateNo = 1020		;先行入力
Trigger1   = Var(10) = 1040
Trigger1   = Time > 21

[State -1, blowA2]
Type       = ChangeState
Value      = 1020
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command != "holddown"
TriggerAll = StateType != A
Trigger1   = StateNo = 1000		;先行入力
Trigger1   = Var(10) = 1020
Trigger1   = Time > 10
Trigger2   = StateNo = 1080		;先行入力
Trigger2   = Var(10) = 1020
Trigger2   = Time > 11

[State -1, blowA1]
Type       = ChangeState
Value      = 1000
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = p2BodyDist X <= 30
TriggerAll = Command = "a"
TriggerAll = Command != "holddown"
;TriggerAll = StateType != A
TriggerAll = StateType = S
Trigger1   = Ctrl


;------------------------------　Ａ打撃・遠
[State -1, blowA_far]
Type       = ChangeState
Value      = 1080
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = p2BodyDist X > 30
TriggerAll = Command = "a"
TriggerAll = Command != "holddown"
;TriggerAll = StateType != A
TriggerAll = StateType = S
Trigger1   = Ctrl


;------------------------------　Ｂ射撃
[State -1, shotB]
Type       = ChangeState
Value      = 2000
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "b"
TriggerAll = Command != "holddown"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl

;------------------------------　Ｃ射撃
[State -1, shotC]
Type       = ChangeState
Value      = 2200
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "c"
TriggerAll = Command != "holddown"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = [2000,2399]	;射撃系通常技
Trigger2   = Var(11)!=0 && Var(11)%11=0


;------------------------------　挑発
[State -1, provoke]
Type       = ChangeState
Value      = 195
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "start"
TriggerAll = StateType != A
Trigger1   = Ctrl



;------------------------------　Ａ打撃（しゃがみ）
[State -1, blowA_SIT]
Type       = ChangeState
Value      = 1120
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "a"
TriggerAll = Command = "holddown"
TriggerAll = StateType != A
Trigger1   = Ctrl



;------------------------------　Ｂ射撃（しゃがみ）
[State -1, shotB_SIT]
Type       = ChangeState
Value      = 2040
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "b"
TriggerAll = Command = "holddown"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = 1120
Trigger2   = MoveContact && HitShakeOver && Time >10
Trigger3   = StateNo = 1221
Trigger3   = Time > 5


;------------------------------　Ｃ射撃（しゃがみ）
[State -1, shotC_SIT]
Type       = ChangeState
Value      = 2240
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "c"
TriggerAll = Command = "holddown"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType != A
Trigger1   = Ctrl
Trigger2   = StateNo = 1120
Trigger2   = MoveContact && HitShakeOver && Time >10
Trigger3   = StateNo = 2040
Trigger3   = Time >24
Trigger4   = StateNo = [2000,2399]	;射撃系通常技
Trigger4   = Var(11)!=0 && Var(11)%11=0
Trigger5   = StateNo = 1221
Trigger5   = Time > 5

;------------------------------　Ａ打撃・前（空中）
[State -1, blowA_fwd_AIR]
Type       = ChangeState
Value      = 1180
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "a"
TriggerAll = Command = "holdfwd"
TriggerAll = StateType = A
TriggerAll =  Pos Y < -15
Trigger1   = Ctrl
Trigger2   = (StateNo = 1200)
Trigger2   = MoveContact && HitShakeOver
Trigger3   = StateNo = 2080
Trigger3   = Var(11)!=0 && Var(11)%11=0


;------------------------------　Ａ打撃・上（空中）
[State -1, blowA_up_AIR]
Type       = ChangeState
Value      = 1200
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "a"
TriggerAll = Command = "holdup"
TriggerAll = StateType = A
TriggerAll =  Pos Y < -15
Trigger1   = Ctrl
Trigger2   = StateNo = 2080
Trigger2   = Var(11)!=0 && Var(11)%11=0


;------------------------------　Ａ打撃・下（空中）
[State -1, blowA_under_AIR]
Type       = ChangeState
Value      = 1220
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "a"
TriggerAll = Command = "holddown"
TriggerAll = StateType = A
TriggerAll =  Pos Y < -15
Trigger1   = Ctrl
Trigger2   = StateNo = 2080
Trigger2   = Var(11)!=0 && Var(11)%11=0


;------------------------------　Ａ打撃（空中）
[State -1, blowA_AIR]
Type       = ChangeState
Value      = 1160
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "a"
TriggerAll = StateType = A
TriggerAll =  Pos Y < -15
Trigger1   = Ctrl



;------------------------------　Ｂ射撃（空中）
[State -1, shotB_AIR]
Type       = ChangeState
Value      = 2080
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "b"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType = A
TriggerAll =  Pos Y < -15
Trigger1   = Ctrl
Trigger2   = (StateNo = 1160) || (StateNo = 1200)
Trigger2   = MoveContact && HitShakeOver


;------------------------------　Ｃ射撃（空中）
[State -1, shotC_AIR]
Type       = ChangeState
Value      = 2280
TriggerAll = Var(59) = 0	;※AIフラグ
TriggerAll = Command = "c"
TriggerAll = Var(40) >= 1000
TriggerAll = StateType = A
TriggerAll =  Pos Y < -15
Trigger1   = Ctrl
Trigger2   = (StateNo = 1160) || (StateNo = 1200)
Trigger2   = MoveContact && HitShakeOver
Trigger3   = (StateNo = 2040)
Trigger3   = Time >24
Trigger4   = (StateNo = 2080)
Trigger4   = Var(11)!=0 && Var(11)%11=0



;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
